Package com.tietoenator.trip.jxp.grid

# Class TdbGridHostPublication

java.lang.Object
com.tietoenator.trip.jxp.grid.TdbGridHostPublication

public class TdbGridHostPublication extends Object
Container for a particular publication from a host

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TdbGridHostPublication(TdbGridHostPublication src)`
  Copy constructor
  `TdbGridHostPublication(String database, String cluster)`
  Constructor, create a new publication container

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  Override the default to define equality only if both database name and cluster name are equal
  `String`
  `getCluster()`
  Retrieve the name of the cluster to which the database is being published
  `String`
  `getDatabase()`
  Retrieve the name of the database being published
  `void`
  `setCluster(String name)`
  Establish the name of the cluster to which the database is being published
  `void`
  `setDatabase(String name)`
  Establish the name of the database being published

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TdbGridHostPublication

    public TdbGridHostPublication(String database, String cluster)
    Constructor, create a new publication container
    Parameters:
      `database` - Database name
      `cluster` - Cluster to which database is published

  - ### TdbGridHostPublication

    public TdbGridHostPublication(TdbGridHostPublication src)
    Copy constructor
    Parameters:
      `src` - Source of copy

- ## Method Details

  - ### getDatabase

    public String getDatabase()
    Retrieve the name of the database being published
    Returns:
      Database name

  - ### setDatabase

    public void setDatabase(String name)
    Establish the name of the database being published
    Parameters:
      `name` - Database name

  - ### getCluster

    public String getCluster()
    Retrieve the name of the cluster to which the database is being published
    Returns:
      Cluster name

  - ### setCluster

    public void setCluster(String name)
    Establish the name of the cluster to which the database is being published
    Parameters:
      `name` - Cluster name

  - ### equals

    public boolean equals(Object o)
    Override the default to define equality only if both database name and cluster name are equal
    Overrides:
      `equals` in class `Object`
    Parameters:
      `o` - Object to test
    Returns:
      true / false